package benefactoraddressservice

import (
	"context"

	"git.gocasts.ir/ebhomengo/niki/entity"
)

type Repository interface {
	CreateBenefactorAddress(ctx context.Context, address entity.Address) (entity.Address, error)
	GetAddressByID(ctx context.Context, id uint) (*entity.Address, error)
	GetAllProvinces(ctx context.Context) ([]entity.Province, error)
	GetAllCities(ctx context.Context) ([]entity.City, error)
}

type Service struct {
	repo Repository
}

func New(repo Repository) Service {
	return Service{repo: repo}
}
